<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.178
Name: DettaglioOsservazioneMacro RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745">
   <title>DettaglioOsservazioneMacro RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]
Item: (FocalitaRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]
Item: (FocalitaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]"
         id="d42e4578-false-d100490e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(FocalitaRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="string(@moodCode) = ('EVN')">(FocalitaRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']) &gt;= 1">(FocalitaRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']) &lt;= 1">(FocalitaRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &gt;= 1">(FocalitaRAP): element hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.6.1']) &lt;= 1">(FocalitaRAP): element hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:text) &lt;= 1">(FocalitaRAP): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(FocalitaRAP): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:effectiveTime) &lt;= 1">(FocalitaRAP): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:value[xsi:type=&#34;ST&#34;]) &lt;= 1">(FocalitaRAP): element hl7:value[xsi:type="ST"] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:value[xsi:type=&#34;RTO_QTY_QTY&#34;]) &lt;= 1">(FocalitaRAP): element hl7:value[xsi:type="RTO_QTY_QTY"] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:value[xsi:type=&#34;IVL_PQ&#34;]) &lt;= 1">(FocalitaRAP): element hl7:value[xsi:type="IVL_PQ"] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:value[xsi:type=&#34;INT&#34;]) &lt;= 1">(FocalitaRAP): element hl7:value[xsi:type="INT"] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="count(hl7:value[xsi:type=&#34;CD&#34;]) &lt;= 1">(FocalitaRAP): element hl7:value[xsi:type="CD"] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']
Item: (FocalitaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']"
         id="d42e4581-false-d100562e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.178')">(FocalitaRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.178'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']
Item: (FocalitaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']"
         id="d42e4583-false-d100574e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="@code">(FocalitaRAP): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(FocalitaRAP): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(FocalitaRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(FocalitaRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(FocalitaRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:text
Item: (FocalitaRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (FocalitaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e4594-false-d100608e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(FocalitaRAP): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.10 X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:effectiveTime
Item: (FocalitaRAP)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type="ST"]
Item: (FocalitaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type=&#34;ST&#34;]"
         id="d42e4598-false-d100631e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3')">(FocalitaRAP): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type="RTO_QTY_QTY"]
Item: (FocalitaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type=&#34;RTO_QTY_QTY&#34;]"
         id="d42e4600-false-d100641e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="@nullFlavor or ($xsiLocalName='RTO_QTY_QTY' and $xsiLocalNS='urn:hl7-org:v3')">(FocalitaRAP): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:RTO_QTY_QTY". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type="IVL_PQ"]
Item: (FocalitaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type=&#34;IVL_PQ&#34;]"
         id="d42e4602-false-d100651e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="@nullFlavor or ($xsiLocalName='IVL_PQ' and $xsiLocalNS='urn:hl7-org:v3')">(FocalitaRAP): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:IVL_PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type="INT"]
Item: (FocalitaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type=&#34;INT&#34;]"
         id="d42e4604-false-d100661e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3')">(FocalitaRAP): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:INT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.178
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type="CD"]
Item: (FocalitaRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.178']]/hl7:value[xsi:type=&#34;CD&#34;]"
         id="d42e4606-false-d100671e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.178-2022-09-26T153745.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(FocalitaRAP): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
