<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.225
Name: Linfonodo con cellule tumorali isolate
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809">
   <title>Linfonodo con cellule tumorali isolate</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]
Item: (linfCellTumorIsolate)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]"
         id="d42e6849-false-d125275e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]) &lt;= 1">(linfCellTumorIsolate): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]
Item: (linfCellTumorIsolate)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]"
         id="d42e6867-false-d125290e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(linfCellTumorIsolate): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="string(@moodCode) = ('EVN')">(linfCellTumorIsolate): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']) &gt;= 1">(linfCellTumorIsolate): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']) &lt;= 1">(linfCellTumorIsolate): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:code[(@code = '85352-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(linfCellTumorIsolate): element hl7:code[(@code = '85352-3' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:code[(@code = '85352-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(linfCellTumorIsolate): element hl7:code[(@code = '85352-3' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:text) &lt;= 1">(linfCellTumorIsolate): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(linfCellTumorIsolate): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:effectiveTime) &lt;= 1">(linfCellTumorIsolate): element hl7:effectiveTime appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[@xsi:type='PQ'] | hl7:value[@xsi:type='IVL_PQ'] | hl7:value[@xsi:type='ST'] | hl7:value[@xsi:type='TS'] | hl7:value[@xsi:type='RTO_QTY_QTY'])"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="$elmcount &lt;= 1">(linfCellTumorIsolate): choice (hl7:value[@xsi:type='PQ']  or  hl7:value[@xsi:type='IVL_PQ']  or  hl7:value[@xsi:type='ST']  or  hl7:value[@xsi:type='TS']  or  hl7:value[@xsi:type='RTO_QTY_QTY']) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:value[@xsi:type='PQ']) &lt;= 1">(linfCellTumorIsolate): element hl7:value[@xsi:type='PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:value[@xsi:type='IVL_PQ']) &lt;= 1">(linfCellTumorIsolate): element hl7:value[@xsi:type='IVL_PQ'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:value[@xsi:type='ST']) &lt;= 1">(linfCellTumorIsolate): element hl7:value[@xsi:type='ST'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:value[@xsi:type='TS']) &lt;= 1">(linfCellTumorIsolate): element hl7:value[@xsi:type='TS'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:value[@xsi:type='RTO_QTY_QTY']) &lt;= 1">(linfCellTumorIsolate): element hl7:value[@xsi:type='RTO_QTY_QTY'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="count(hl7:repeatNumber) &lt;= 1">(linfCellTumorIsolate): element hl7:repeatNumber appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']
Item: (linfCellTumorIsolate)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']"
         id="d42e6879-false-d125379e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.225')">(linfCellTumorIsolate): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.225'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:id
Item: (linfCellTumorIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:code[(@code = '85352-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (linfCellTumorIsolate)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:code[(@code = '85352-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e6887-false-d125399e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="string(@code) = ('85352-3')">(linfCellTumorIsolate): The value for code SHALL be '85352-3'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(linfCellTumorIsolate): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(linfCellTumorIsolate): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(linfCellTumorIsolate): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:text
Item: (linfCellTumorIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (linfCellTumorIsolate)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]"
         id="d42e6914-false-d125432e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.225-2022-09-27T153809.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(linfCellTumorIsolate): The element value SHALL be one of '2.16.840.1.113883.3.1937.777.63.11.10 X_ActStatusActiveSuspendedAbortedCompleted (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:effectiveTime
Item: (linfCellTumorIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:value[@xsi:type='PQ']
Item: (linfCellTumorIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:value[@xsi:type='IVL_PQ']
Item: (linfCellTumorIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:value[@xsi:type='ST']
Item: (linfCellTumorIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:value[@xsi:type='TS']
Item: (linfCellTumorIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:value[@xsi:type='RTO_QTY_QTY']
Item: (linfCellTumorIsolate)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.225
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.225']]/hl7:repeatNumber
Item: (linfCellTumorIsolate)
-->
</pattern>
