<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.248
Name: Osservazione addizionale RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901">
   <title>Osservazione addizionale RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.248
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]
Item: (OsservazioneAddizionaleRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]"
         id="d42e7143-false-d126119e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]) &gt;= 1">(OsservazioneAddizionaleRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]) &lt;= 1">(OsservazioneAddizionaleRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.248
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]
Item: (OsservazioneAddizionaleRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]"
         id="d42e7163-false-d126136e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(OsservazioneAddizionaleRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="string(@moodCode) = ('EVN')">(OsservazioneAddizionaleRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']) &gt;= 1">(OsservazioneAddizionaleRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']) &lt;= 1">(OsservazioneAddizionaleRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="count(hl7:code[(@code = '35265-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(OsservazioneAddizionaleRAP): element hl7:code[(@code = '35265-8' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="count(hl7:code[(@code = '35265-8' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(OsservazioneAddizionaleRAP): element hl7:code[(@code = '35265-8' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="count(hl7:value) &gt;= 1">(OsservazioneAddizionaleRAP): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="count(hl7:value) &lt;= 1">(OsservazioneAddizionaleRAP): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.248
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']
Item: (OsservazioneAddizionaleRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']"
         id="d42e7175-false-d126179e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.248')">(OsservazioneAddizionaleRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.248'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.248
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]/hl7:code[(@code = '35265-8' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (OsservazioneAddizionaleRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]/hl7:code[(@code = '35265-8' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e7180-false-d126191e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="string(@code) = ('35265-8')">(OsservazioneAddizionaleRAP): The value for code SHALL be '35265-8'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(OsservazioneAddizionaleRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(OsservazioneAddizionaleRAP): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(OsservazioneAddizionaleRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230127T144537/tmp-2.16.840.1.113883.3.1937.777.63.10.248-2022-10-05T183901.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(OsservazioneAddizionaleRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.248
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.248']]/hl7:value
Item: (OsservazioneAddizionaleRAP)
-->
</pattern>
